vector.tcc File Reference

Go to the source code of this file.

## Namespaces

| std

## Macros

#define | _VECTOR_TCC

## Functions

| std::__catch (...)
pointer | std::__new_finish (__new_start)
pointer | std::__new_start (this->_M_allocate(__len))
| std::_M_deallocate (this->_M_impl._M_start, this->_M_impl._M_end_of_storage-this->_M_impl._M_start)
| std::if (this->_M_impl._M_finish!=this->_M_impl._M_end_of_storage &&__position==end())
return | std::iterator (this->_M_impl._M_start+__n)
template<typename... _Args>
void | std::vector< _Tp, _Alloc >if (this->_M_impl._M_finish!=this->_M_impl._M_end_of_storage)

## Variables

const size_type | std::__elems_before
template<typename _Tp , typename _Alloc >
vector< _Tp, _Alloc > ::iterator vector< _Tp, _Alloc > const size_type | std::__n
| std::__new_finish
this _M_impl | std::_M_end_of_storage
this _M_impl | std::_M_finish
this _M_impl | std::_M_start

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <vector>.

Definition in file vector.tcc.